/**
 *  Copyright © 2026, Luis Andrés Lange <https://javacomm.net>
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 */
package net.javacomm.client.streams;

@SuppressWarnings("serial")
public class UserDefinedButton extends StreamButton {

  private boolean isAssigned;

  public UserDefinedButton() {
    super();
  }



  /**
   * Der Knopfname in der Senderauswahl.
   * 
   * 
   * @param sendername
   *                   ein Fernsehprogrammname
   */
  public UserDefinedButton(String sendername) {
    super(sendername);
  }



  public boolean isAssigned() {
    return isAssigned;
  }



  public void setAssigned(boolean isAssigned) {
    this.isAssigned = isAssigned;
  }

}
